<app-page-form>
  <ng-container ngProjectAs="[page-form-content]">
    <h1>
      {{ 'admin.club.edit.seo.' + mode.toString().toLocaleLowerCase() + '.title' | translate }}
    </h1>
    <p>
      {{ 'admin.club.edit.seo.' + mode.toString().toLocaleLowerCase() + '.description' | translate }}
    </p>
    <form [formGroup]="formGroup"
          #form="ngForm" (ngSubmit)="formGroup.valid && save()">
      <mat-form-field>
        <mat-label>
          {{ 'admin.club.edit.form.name' | translate }}
        </mat-label>
        <input matInput name="name" formControlName="name"/>
        <mat-error *ngIf="formGroup.controls.name.errors?.required">
          {{ 'admin.common.validation.required' | translate }}
        </mat-error>
      </mat-form-field>

      <mat-form-field>
        <mat-label>
          {{ 'admin.club.edit.form.shortName' | translate }}
        </mat-label>
        <input matInput name="shortName" formControlName="shortName"/>
      </mat-form-field>

      <mat-form-field>
        <mat-label>
          {{ 'admin.club.edit.form.code' | translate }}
        </mat-label>
        <input matInput type="number" name="code" formControlName="code"/>
        <mat-error *ngIf="formGroup.controls.code.errors?.required">
          {{ 'admin.common.validation.required' | translate }}
        </mat-error>
      </mat-form-field>

      <mat-form-field>
        <mat-label>
          {{ 'admin.club.edit.form.city' | translate }}
        </mat-label>
        <input matInput name="city" formControlName="city"/>
        <mat-error *ngIf="formGroup.controls.name.errors?.required">
          {{ 'admin.common.validation.required' | translate }}
        </mat-error>
      </mat-form-field>

      <form [formGroup]="logoFormGroup">
        <mat-form-field>
          <mat-label>
            {{ 'admin.club.edit.form.logo' | translate }}
          </mat-label>
          <mat-select formControlName="url" panelClass="logo">
            <mat-select-trigger class="logo">
              <figure *ngIf="('common.team.defaultPicture.url' | translate) && logoFormGroup.value as logo">
                <img class="lazy-load"
                     [lazyLoad]="logo?.url"
                     [errorImage]="'common.team.defaultPicture.url' | translate"/>
              </figure>
            </mat-select-trigger>
            <mat-option *ngFor="let logoUrl of logoUrls$ | async"
                        class="logo" [value]="logoUrl">
              <figure>
                <img class="lazy-load"
                     *ngIf="'common.team.defaultPicture.url' | translate"
                     [lazyLoad]="logoUrl"
                     [errorImage]="'common.team.defaultPicture.url' | translate"/>
              </figure>
            </mat-option>
          </mat-select>
        </mat-form-field>
      </form>
    </form>
  </ng-container>
  <ng-container ngProjectAs="[page-form-footer]">
    <a mat-stroked-button color="accent"
       [routerLink]="previousRouteCommands?.commands"
       [queryParams]="previousRouteCommands?.queryParams">
      <mat-icon>
        cancel
      </mat-icon>
      {{ 'admin.common.action.cancel' | translate }}
    </a>
    <app-async-button [loading]="loading.save">
      <button mat-flat-button color="primary" (click)="form.onSubmit($event)">
        <mat-icon>
          save
        </mat-icon>
        {{ 'admin.common.action.save' | translate }}
      </button>
    </app-async-button>
  </ng-container>
</app-page-form>
